Package csb :: Package core :: Class AbstractNIContainer

[frames] | no frames]

# Class AbstractNIContainer

source code

           object --+
                    |
    AbstractContainer --+
                        |
                       AbstractNIContainer

Known Subclasses:
  - bio.structure.Chain
  - , bio.structure.Ensemble
  - , bio.structure.Residue
  - , bio.structure.Structure
  - , bio.fragments.Target

Same as the AbstractContainer, but provides access to the child elements through `AbstractNativeIndexer._getinternal` instead of the standard __getitem__.

Therefore, the `self._children` property must return an object which implements AbstractIndexer.

Nested Classes
Inherited from `AbstractContainer`: `__metaclass__`

Instance Methods

__getitem__(self, i) | source code

Inherited from `AbstractContainer`: `__bool__`, `__iter__`, `__len__`, `__nonzero__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
Inherited from `AbstractContainer`: `__abstractmethods__`

Properties
Inherited from `object`: `__class__`

Method Details

### __getitem__(self, i)
(Indexing operator)

source code

Overrides: AbstractContainer.__getitem__